Bug 11517 - fvwm2-2.3.15-2 does not honor RPM_OPT_FLAGS correctly
fvwm2-2.3.15-2 does not honor RPM_OPT_FLAGS correctly
Product: Red Hat Raw Hide
Classification: Retired
Component: fvwm2 (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 2000-05-19 02:14 EDT by Moritz Barsnick
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-19 02:14:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2000-05-19 02:14:55 EDT
When building fvwm2-2.3.15-2 without autoconf present, ./configure is
automatically rerun (from the original run of ./configure). This subsequent
run does not honor the RPM_OPT_FLAGS (from CFLAGS), because the CFLAGS are
only set (CFLAGS="..." ./configure) and not exported from the shell
(CFLAGS="..."; export CFLAGS; ./configure). Therefore, the default "-O2 -g"
is activated and not the RPM_OPT_FLAGS.
Comment 1 Ngo Than 2000-08-04 20:02:42 EDT
was fixed in Beta3.

Note You need to log in before you can comment on or make changes to this bug.